Support » Installation » Fehler nach php Umstellung

  • Hallo,

    mein Webhoster hat die php Version von 5.4 auf 5.6 ungestellet. Seitdem funkrionier bei mir eine SQL Abfrage nicht mehr. (Habe WordPress 5.1.1 )
    ich bekomme im debug Modus immer den Fehler anzgezeigt;

    Warning: mysqli_query(): (HY000/3024): Query execution was interrupted, maximum statement execution time exceeded in /home/www/wordpress/xyz/erlebnisrundreisen/wp-includes/wp-db.php on line 2007

    In der Datei unter der Zeilennummer ist folgender Code hinterlegt:

    	/**
    	 * Internal function to perform the mysql_query() call.
    	 *
    	 * @since 3.9.0
    	 *
    	 * @see wpdb::query()
    	 *
    	 * @param string $query The query to run.
    	 */
    	private function _do_query( $query ) {
    		if ( defined( 'SAVEQUERIES' ) && SAVEQUERIES ) {
    			$this->timer_start();
    		}
    
    		if ( ! empty( $this->dbh ) && $this->use_mysqli ) {
    			$this->result = mysqli_query( $this->dbh, $query );
    		} elseif ( ! empty( $this->dbh ) ) {
    			$this->result = mysql_query( $query, $this->dbh );
    		}
    		$this->num_queries++;
    
    		if ( defined( 'SAVEQUERIES' ) && SAVEQUERIES ) {
    			$this->queries[] = array(
    				$query,
    				$this->timer_stop(),
    				$this->get_caller(),
    				$this->time_start,
    			);
    		}
    	}

    Die Seite, für die ich Hilfe brauche: [Anmelden, um den Link zu sehen]

Ansicht von 2 Antworten - 1 bis 2 (von insgesamt 2)
  • Das ist ein Server-Problem, da solltest du Kontakt zu deinem Hoster aufnehmen.

    Und ein PHP-Update auf 5.6?? Es gibt mittlerweile PHP 7.2.16

    Hallo Taro0904,

    1. unbedingt (falls technisch möglich) auf 7.2 oder 7.3 updaten
    2. execution time = kann in der php.ini hochgesetzt werden.

    Bei beiden sollte dir dein Hoster behilflich sein.

    Gruß Nikolai

Ansicht von 2 Antworten - 1 bis 2 (von insgesamt 2)
  • Das Thema „Fehler nach php Umstellung“ ist für neue Antworten geschlossen.